Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1083998 - PRD35 - [RFE] using foreman provider to provision bare-metal hosts
Summary: PRD35 - [RFE] using foreman provider to provision bare-metal hosts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Yaniv Bronhaim
QA Contact: sefi litmanovich
URL:
Whiteboard: infra
: 1081371 (view as bug list)
Depends On: 1083993 1142871 1165208
Blocks: 1081371 1120896 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-03 11:31 UTC by Oved Ourfali
Modified: 2016-02-10 19:24 UTC (History)
13 users (show)

Fixed In Version: vt1.3
Doc Type: Enhancement
Doc Text:
With this update, you can now use Foreman to detect bare metal hosts, allowing the administrator to select and provision the bare metal host as a Red Hat Enterprise Virtualization Manager host.
Clone Of: 1081371
Environment:
Last Closed: 2015-02-11 17:58:50 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC

Description Oved Ourfali 2014-04-03 11:31:50 UTC
The requirement is for to leverage the Foreman provider in order to see information about bare-metal hosts, and provision.

Comment 1 Barak 2014-04-13 15:39:39 UTC
*** Bug 1081371 has been marked as a duplicate of this bug. ***

Comment 2 sefi litmanovich 2015-01-06 10:22:03 UTC
Verified with:

satellite 6.0.6, foreman-1.6.0.49-1.el6sat.noarch, ruby193-rubygem-ovirt_provision_plugin-1.0.1-1.el6.noarch.

engine:
rhevm-3.5.0-0.26.el6ev.noarch

the ovirt provisioning plugin is functional.
it was tested on a closed environment with a host serving as dhcp/dns/tftp/satellite server and as gateway from the inner network to outside network.
another host served as engine and a third host as the host to be provisioned and installed on rhevm.

if network is configured in the correct manner and satellite is configured according to feature wiki page (we might have to add/change some entries on the wiki page) + ovirt provisioning and foreman-discovery plugins are set then flow works:

1. reboot a host on the network and run from pxe.
2. choose foreman-discovery in the pxe menu.
3. host is discovered by foreman.
4. add foreman as an external provider in rhevm.
5. in rhevm, add host choosing 'Use Foreman Hosts Providers', and choose the host from the discovered hosts list.
6. choose a working host group to use for the host provisioning.
7. host state is OS_INSTALLATION and foreman's provisioning template installs os on the host.
8. after os installation is complete and successful host state in rhevm moves to installing as normal.
9. host is up.

The flow was tested with rhel 6.6 and rhel 7 provisioned on the host

two bugs are still opened but aren't blockers:
https://bugzilla.redhat.com/show_bug.cgi?id=1177126
https://bugzilla.redhat.com/show_bug.cgi?id=1177139

Comment 6 errata-xmlrpc 2015-02-11 17:58:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.